%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  motifcluster
%global packver   0.2.3
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.2.3
Release:          1%{?dist}%{?buildtag}
Summary:          Motif-Based Spectral Clustering of Weighted Directed Networks

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.6.0
Requires:         R-core >= 3.6.0
BuildArch:        noarch
BuildRequires:    R-CRAN-igraph >= 1.2.5
BuildRequires:    R-CRAN-Matrix >= 1.2
BuildRequires:    R-CRAN-RSpectra >= 0.16.0
Requires:         R-CRAN-igraph >= 1.2.5
Requires:         R-CRAN-Matrix >= 1.2
Requires:         R-CRAN-RSpectra >= 0.16.0

%description
Tools for spectral clustering of weighted directed networks using motif
adjacency matrices. Methods perform well on large and sparse networks, and
random sampling methods for generating weighted directed networks are also
provided. Based on methodology detailed in Underwood, Elliott and
Cucuringu (2020) <arXiv:2004.01293>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
